Skip to content

Get a single environment

GET
/api/v3/organizations/{organisation}/applications/{application}/environments/{environment}
curl --request GET \
--url https://dashboard.quantcdn.io/api/v3/organizations/test-org/applications/test-app/environments/test-env \
--header 'Authorization: Bearer <token>'
organisation
required
string

The organisation ID

Example
test-org
application
required
string

The application ID

Example
test-app
environment
required
string

The environment ID

Example
test-env

The environment with runtime details

Media typeapplication/json

Environment response schema with runtime details

object
envName
required

Environment name

string
status

Environment status

string
runningCount

Number of running tasks

integer
desiredCount

Desired number of tasks

integer
minCapacity

Minimum capacity for autoscaling

integer
maxCapacity

Maximum capacity for autoscaling

integer
publicIpAddress

Public IP address for SSH access

string
nullable
deploymentStatus

Current deployment status

string
Allowed values: COMPLETED IN_PROGRESS FAILED
deploymentFailureType

Type of deployment failure

string
nullable
deploymentFailureReason

Reason for deployment failure

string
nullable
taskDefinition

ECS task definition details

object
service

ECS service details

object
loadBalancer

Load balancer configuration

object
securityGroup

Security group configuration

object
subnet

Subnet configuration

object
vpc

VPC configuration

object
containerNames

Container name list

Array<string>
volumes

Persistent storage volumes

Array<object>
object
volumeId
string
volumeName
string
description
string
environmentEfsId
string
createdAt
string
rootDirectory
string
accessPointId
string
accessPointArn
string
cron

Scheduled cron jobs

Array<object>
object
name
string
description
string
nullable
scheduleExpression
string
command
Array<string>
targetContainerName
string
nullable
isEnabled
boolean
albRouting

ALB routing configuration

object
createdAt

Creation timestamp

string format: date-time
updatedAt

Last update timestamp

string format: date-time
Example
{
"envName": "production",
"status": "ACTIVE",
"runningCount": 2,
"desiredCount": 2,
"minCapacity": 1,
"maxCapacity": 5,
"publicIpAddress": "54.123.45.67",
"deploymentStatus": "COMPLETED"
}

The environment not found